# Uses of Class
org.jmol.shape.Mesh

Packages that use Mesh
Package
Description
org.jmol.render
org.jmol.shape
org.jmol.shapebio
org.jmol.shapecgo
org.jmol.shapespecial
org.jmol.shapesurface
org.openscience.jmol.app.surfacetool

## Uses of Mesh in org.jmol.render

Fields in org.jmol.render declared as Mesh
Modifier and Type
Field
Description
`protected Mesh`
MeshRenderer.`mesh`
Methods in org.jmol.render with parameters of type Mesh
Modifier and Type
Method
Description
`protected boolean`
MeshRenderer.`renderMesh2(Mesh mesh)`
overridden in BioShapeRenderer, DrawRenderer, and IsosurfaceRenderer

## Uses of Mesh in org.jmol.shape

Fields in org.jmol.shape declared as Mesh
Modifier and Type
Field
Description
`Mesh`
MeshCollection.`currentMesh`
`Mesh`
Mesh.`linkedMesh`
`protected Mesh`
MeshCollection.`linkedMesh`
`Mesh[]`
MeshCollection.`meshes`
`protected Mesh`
MeshCollection.`pickedMesh`
Fields in org.jmol.shape with type parameters of type Mesh
Modifier and Type
Field
Description
`protected Map<String,Mesh>`
MeshCollection.`htObjects`
Methods in org.jmol.shape that return Mesh
Modifier and Type
Method
Description
`Mesh`
MeshCollection.`getMesh(String thisID)`
`Mesh`
Mesh.`mesh1(Viewer vwr, String thisID, short colix, int index)`
Methods in org.jmol.shape that return types with arguments of type Mesh
Modifier and Type
Method
Description
`protected Lst<Mesh>`
MeshCollection.`getMeshList(String key, boolean justOne)`
Get matching list of meshes, order reversed
Methods in org.jmol.shape with parameters of type Mesh
Modifier and Type
Method
Description
`void`
MeshCollection.`allocMesh(String thisID, Mesh m)`
`protected Object`
MeshCollection.`getValues(Mesh mesh)`
`protected Object`
MeshCollection.`getVertices(Mesh mesh)`
`protected static void`
Mesh.`sumVertexNormals2(Mesh m, T3[] vertices, V3[] normals)`

## Uses of Mesh in org.jmol.shapebio

Fields in org.jmol.shapebio declared as Mesh
Modifier and Type
Field
Description
`Mesh[]`
BioShape.`meshes`

## Uses of Mesh in org.jmol.shapecgo

Subclasses of Mesh in org.jmol.shapecgo
Modifier and Type
Class
Description
`class`
`CGOMesh`
Methods in org.jmol.shapecgo with parameters of type Mesh
Modifier and Type
Method
Description
`void`
CGO.`allocMesh(String thisID, Mesh m)`

## Uses of Mesh in org.jmol.shapespecial

Subclasses of Mesh in org.jmol.shapespecial
Modifier and Type
Class
Description
`class`
`DrawMesh`
Methods in org.jmol.shapespecial with parameters of type Mesh
Modifier and Type
Method
Description
`void`
Draw.`allocMesh(String thisID, Mesh m)`
`static boolean`
Draw.`isPolygonDisplayable(Mesh mesh, int i)`

## Uses of Mesh in org.jmol.shapesurface

Subclasses of Mesh in org.jmol.shapesurface
Modifier and Type
Class
Description
`class`
`IsosurfaceMesh`
Methods in org.jmol.shapesurface with parameters of type Mesh
Modifier and Type
Method
Description
`void`
Isosurface.`allocMesh(String thisID, Mesh m)`
`protected Object`
Isosurface.`getValues(Mesh mesh)`
`protected Object`
Isosurface.`getVertices(Mesh mesh)`

## Uses of Mesh in org.openscience.jmol.app.surfacetool

Methods in org.openscience.jmol.app.surfacetool with parameters of type Mesh
Modifier and Type
Method
Description
`void`
SurfaceStatus.`updateExisting(Mesh m)`
Constructors in org.openscience.jmol.app.surfacetool with parameters of type Mesh
Modifier
Constructor
Description
``
`SurfaceStatus(Mesh m, int type)`